/*************************************************************************
 * 入力値自動変換機能 4.3.0.0 (2008/07/25) 追加
 * dbType XL及びXUについて、大文字・小文字の自動変換を行います
 *
 * @og.rev 4.3.5.0 (2009/02/01) JavaScript分離(inputFocusより)
 * Revision: $Id$
 *************************************************************************/
$(function(){
	$('textarea,select,input[type="text"]').focusout( function(){ convert( this ); } );
});

function convert( obj ) {
	var val = obj.value;
	var cls = obj.className;

	if( val != null && cls != null ) {
		if( cls.match( /XL/ ) && !(cls.match( /XLU/ )) ) {
			obj.value = val.toLowerCase();
		}
		else if( cls.match( /XU/ ) && !(cls.match( /XUL/ )) ) {
			obj.value = val.toUpperCase();
		}
	}
	return true;
}